-3
$\begingroup$

I've been struggling since days to install libsodium on my Debian9/php7.0(with fpm) server ... When I follow the steps outlined on https://paragonie.com/book/pecl-libsodium/read/00-intro.md#installing-libsodium everything seems to work, however I get this error at PHP startup:

Invalid library (maybe not a PHP library) 'sodium.so' in Unknown on line 0 ....

So the extension is not loaded ...

Hope someone can help me, Thx ! Vincent.

$\endgroup$
1
$\begingroup$

Use

pecl install -f libsodium-2.0.8

to install version 2.0.8, that should work perfectly.

| improve this answer | |
$\endgroup$
0
$\begingroup$

Looks like it was a version issue as per the feedback I got here:

https://github.com/paragonie/halite/issues/48

| improve this answer | |
$\endgroup$

Not the answer you're looking for? Browse other questions tagged or ask your own question.